List:Commits« Previous MessageNext Message »
From:msvensson Date:September 26 2006 2:28pm
Subject:bk commit into 5.1 tree (msvensson:1.2353)
View as plain text  
Below is the list of changes that have just been committed into a local
5.1 repository of msvensson. When msvensson does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet@stripped, 2006-09-26 16:28:28+02:00, msvensson@neptunus.(none) +2 -0
  Merge neptunus.(none):/home/msvensson/mysql/netware/my50-netware
  into  neptunus.(none):/home/msvensson/mysql/netware/my51-netware
  MERGE: 1.1810.2115.2

  netware/BUILD/mwenv@stripped, 2006-09-26 16:28:26+02:00, msvensson@neptunus.(none) +0 -3
    Merge 5.0 -> 5.1
    MERGE: 1.12.2.2

  netware/Makefile.am@stripped, 2006-09-26 16:26:36+02:00, msvensson@neptunus.(none) +0 -0
    Auto merged
    MERGE: 1.15.1.2

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	msvensson
# Host:	neptunus.(none)
# Root:	/home/msvensson/mysql/netware/my51-netware/RESYNC

--- 1.14/netware/BUILD/mwenv	2006-09-26 16:28:34 +02:00
+++ 1.15/netware/BUILD/mwenv	2006-09-26 16:28:34 +02:00
@@ -1,19 +1,39 @@
 #! /bin/sh
 
-# F:/mydev, /home/kp/mydev, and 4.0.21 must be correct before compiling
-# This values are normally changed by the nwbootstrap script
+if test ! -r ./sql/mysqld.cc
+then
+  echo "you must start from the top source directory"
+  exit 1
+fi
 
-# the default is "F:/mydev"
-export MYDEV=WINE_BUILD_DIR
+# The base path(in wineformat) where compilers, includes and
+# libraries are installed
+if test -z $MYDEV
+then
+  # the default is "F:/mydev"
+  export MYDEV="F:/mydev"
+fi
+echo "MYDEV: $MYDEV"
 
-export MWCNWx86Includes="$MYDEV/libc/include;$MYDEV/fs64/headers;$MYDEV/zlib-1.2.3;$MYDEV/mysql-VERSION/include;$MYDEV"
-export MWNWx86Libraries="$MYDEV/libc/imports;$MYDEV/mw/lib;$MYDEV/fs64/imports;$MYDEV/zlib-1.2.3;$MYDEV/openssl;$MYDEV/mysql-VERSION/netware/BUILD"
+# Get current dir
+BUILD_DIR=`pwd`
+echo "BUILD_DIR: $BUILD_DIR"
+
+# Get current dir in wine format
+base=`echo $MYDEV  |sed 's/\/.*//'`
+base_unix_part=`winepath -- -u $base`
+WINE_BUILD_DIR=`echo "$BUILD_DIR" | sed 's_'$base_unix_part'/__'`
+WINE_BUILD_DIR="$base$WINE_BUILD_DIR"
+echo "WINE_BUILD_DIR: $WINE_BUILD_DIR"
+
+export MWCNWx86Includes="$MYDEV/libc/include;$MYDEV/fs64/headers;$MYDEV/zlib-1.2.3;$WINE_BUILD_DIR/include;$MYDEV"
+export MWNWx86Libraries="$MYDEV/libc/imports;$MYDEV/mw/lib;$MYDEV/fs64/imports;$MYDEV/zlib-1.2.3;$MYDEV/openssl;$WINE_BUILD_DIR/netware/BUILD"
 export MWNWx86LibraryFiles="libcpre.o;libc.imp;netware.imp;mwcrtl.lib;mwcpp.lib;libz.a;neb.imp;zPublics.imp;knetware.imp"
 
 export WINEPATH="$MYDEV/mw/bin"
 
-# the default added path is "$HOME/mydev/mysql-x.x-x/netware/BUILD"
-export PATH="$PATH:BUILD_DIR/mysql-VERSION/netware/BUILD"
+# the default added path is "$BUILD_DIR/netware/BUILD"
+export PATH="$PATH:$BUILD_DIR/netware/BUILD"
 
 export AR='mwldnlm'
 export AR_FLAGS='-type library -o'

--- 1.19/netware/Makefile.am	2006-09-26 16:28:34 +02:00
+++ 1.20/netware/Makefile.am	2006-09-26 16:28:34 +02:00
@@ -23,7 +23,8 @@
 mysql_install_db_SOURCES=	mysql_install_db.c my_manage.c
 mysql_test_run_SOURCES=		mysql_test_run.c my_manage.c
 libmysql_SOURCES=		libmysqlmain.c
-libmysql_LDADD =		../libmysql/.libs/libmysqlclient.a @openssl_libs@
+libmysql_LDADD =		../libmysql/.libs/libmysqlclient.a \
+				@openssl_libs@ @yassl_libs@
 
 netware_build_files =           client/mysql.def client/mysqladmin.def \
                                 client/mysqlbinlog.def client/mysqlcheck.def \
Thread
bk commit into 5.1 tree (msvensson:1.2353)msvensson26 Sep